"""
CurrentControlledCurrentSource.py
"""

# Copyright (c) 2021 Nubis Communications, Inc.
# Copyright (c) 2018-2020 Teledyne LeCroy, Inc.
# All rights reserved worldwide.
#
# This file is part of SignalIntegrity.
#
# SignalIntegrity is free software: You can redistribute it and/or modify it under the terms
# of the GNU General Public License as published by the Free Software Foundation, either
# version 3 of the License, or any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
# without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with this program.
# If not, see <https://www.gnu.org/licenses/>

def CurrentControlledCurrentSource(G):
    """CurrentControlledCurrentSource
    Current controlled current source
    @param G float or complex current gain
    @return list of list s-parameter matrix of a current controlled current source
    The four port current controlled current source has
    the current sense element sensing the current
    entering port 1 and exiting port 2.
    
    The current generated by the amplifier enters port 4 and exits port 3
    """
    return  [[0.,1.,0.,0.],
            [1.,0.,0.,0.],
            [-G,G,1.,0.],
            [G,-G,0.,1.]]